List groups
curl --request GET \
--url https://api.postflow.app/v1/groups \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.postflow.app/v1/groups"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.postflow.app/v1/groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.postflow.app/v1/groups",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.postflow.app/v1/groups"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.postflow.app/v1/groups")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.postflow.app/v1/groups")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"id": "<string>",
"organization_id": "<string>",
"author_id": "<string>",
"name": "<string>",
"timezone": "<string>",
"approval_workflow": 0,
"week_start_day": 0,
"note": "<string>",
"country": "<string>",
"color": 1,
"type": 1,
"avatar": "<string>",
"default_assignee_ids": [
"<string>"
],
"default_everyone_must_approve": true,
"post_task_templates_enabled": true,
"max_social_accounts": 123,
"is_default": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"socialAccounts": [
{
"id": "<string>",
"socialNetwork": "twitter",
"organization_id": "<string>",
"user_id": "<string>",
"group_id": "<string>",
"name": "<string>",
"custom_name": "<string>",
"username": "<string>",
"headline": "<string>",
"followers_count": 123,
"verified": true,
"profile_link": "<string>",
"avatar_link": "<string>",
"social_id": "<string>",
"pi_boards": [
{
"id": "<string>",
"name": "<string>",
"privacy": "<string>",
"description": "<string>",
"image_cover_url": "<string>",
"sections": []
}
],
"pi_default_board_id": "<string>",
"pi_default_section_id": "<string>",
"ig_shopping_product_tag_eligibility": true,
"yt_playlists": [
"<string>"
],
"yt_categories": [
"<string>"
],
"connection_expired_at": "2023-11-07T05:31:56Z",
"external_sync_enabled": true,
"created_at": "2023-11-07T05:31:56Z",
"user": {
"id": "<string>",
"name": "<string>",
"email": "<string>",
"phone": "<string>",
"inviter_id": "<string>",
"organization_id": "<string>",
"role": "owner",
"is_client": true,
"can_approve": true,
"can_connect_account": true,
"can_access_all_groups": true,
"self_approval": true,
"time_format_24": true,
"week_start_day": 0,
"date_format": 1,
"color": 1,
"avatar": "<string>",
"invited_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"open_cu_links_in_app": false,
"groupIds": []
}
}
],
"socialAccountsCount": 123
}
]{
"message": "<string>"
}{
"message": "<string>"
}Groups
List groups
Returns all groups accessible to the authenticated user.
GET
/
groups
List groups
curl --request GET \
--url https://api.postflow.app/v1/groups \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.postflow.app/v1/groups"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.postflow.app/v1/groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.postflow.app/v1/groups",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.postflow.app/v1/groups"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.postflow.app/v1/groups")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.postflow.app/v1/groups")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"id": "<string>",
"organization_id": "<string>",
"author_id": "<string>",
"name": "<string>",
"timezone": "<string>",
"approval_workflow": 0,
"week_start_day": 0,
"note": "<string>",
"country": "<string>",
"color": 1,
"type": 1,
"avatar": "<string>",
"default_assignee_ids": [
"<string>"
],
"default_everyone_must_approve": true,
"post_task_templates_enabled": true,
"max_social_accounts": 123,
"is_default": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"socialAccounts": [
{
"id": "<string>",
"socialNetwork": "twitter",
"organization_id": "<string>",
"user_id": "<string>",
"group_id": "<string>",
"name": "<string>",
"custom_name": "<string>",
"username": "<string>",
"headline": "<string>",
"followers_count": 123,
"verified": true,
"profile_link": "<string>",
"avatar_link": "<string>",
"social_id": "<string>",
"pi_boards": [
{
"id": "<string>",
"name": "<string>",
"privacy": "<string>",
"description": "<string>",
"image_cover_url": "<string>",
"sections": []
}
],
"pi_default_board_id": "<string>",
"pi_default_section_id": "<string>",
"ig_shopping_product_tag_eligibility": true,
"yt_playlists": [
"<string>"
],
"yt_categories": [
"<string>"
],
"connection_expired_at": "2023-11-07T05:31:56Z",
"external_sync_enabled": true,
"created_at": "2023-11-07T05:31:56Z",
"user": {
"id": "<string>",
"name": "<string>",
"email": "<string>",
"phone": "<string>",
"inviter_id": "<string>",
"organization_id": "<string>",
"role": "owner",
"is_client": true,
"can_approve": true,
"can_connect_account": true,
"can_access_all_groups": true,
"self_approval": true,
"time_format_24": true,
"week_start_day": 0,
"date_format": 1,
"color": 1,
"avatar": "<string>",
"invited_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"open_cu_links_in_app": false,
"groupIds": []
}
}
],
"socialAccountsCount": 123
}
]{
"message": "<string>"
}{
"message": "<string>"
}Authorizations
Query Parameters
Response
The collection of GroupData